lp:ubuntu/jaunty-proposed/fglrx-installer

Created by James Westby on 2010-09-21 and last modified on 2010-09-21
Get this branch:
bzr branch lp:ubuntu/jaunty-proposed/fglrx-installer
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

33. By Alberto Milone on 2010-09-21

* Add compat_alloc_cve-2010-3081.patch:
  - Work around the lack of compat_alloc_user_space() in asm/compat.h
    after the fix for CVE-2010-3081 (LP: #642518). Thanks to Evan Broder
    and Stefan Bader for the patch.

32. By Mario Limonciello on 2009-03-31

* Update fglrx-rt-compat.patch. Thanks Alessio Igor Bogani (LP: #328856)
* Update location of fglrx-rt-compat.patch from debian/dkms/patches/patches
  to debian/dkms/patches

31. By Bryce Harrington on 2009-03-17

* New upstream release. (Closes LP: #313027, #314600)
  - Fixes LP: #253988, #179042, #241176, #284408, #287229, #296497,
    #288620, #289628
* README.Debian: Update the update procedure a bit

30. By Mario Limonciello on 2009-02-16

* debian/xorg-driver-fglrx.postinst:
  - Transition start of atieventsd with priority 31. It needs to start after
    GDM and oem-config to ensure there aren't any lockups. (LP: #330188)
* debian/rules:
  - Start atieventsd at 31.

29. By Mario Limonciello on 2009-02-09

* debian/10fglrx.in:
  - Check if LD_LIBRARY_PATH is empty when we append to it. (LP: #323327)

28. By Mario Limonciello on 2009-02-02

* debian/control:
  - Add libxinerama1 to build depends.
* debian/xorg-driver-fglrx.preinst:
  - Move user modifications out of the way for files that are stored in
    /etc/ati when upgrading package. Unfortunately, although these files
    are stored in /etc, AMD has indicated that they should not be treated
    as conf files. (LP: 307643)
* debian/fglrx-kernel-source.prerm:
  - Add in a check for old versions of fglrx that might have DKMS directories
    sitting around. If any are found, they are removed so as to prevent possible
    conflicts. (LP: #303148)

27. By Mario Limonciello on 2009-01-29

* New upstream release. (9-1).
  - This release still does *not* meet the Xorg server 1.6 ABI.
    It is being uploaded to ensure that there are no other integration
    related issues that come up.

26. By Mario Limonciello on 2008-12-10

New upstream release (8-12).

25. By Mario Limonciello on 2008-11-13

* New upstream release.
* debian/control:
  - Don't list the graphics cards supported, this is a moving target
    that is difficult to keep up with. (LP: #292436)
* Move replacements for kernel source into debian/dkms
* Add patch for RT support to debian/dkms (LP: #286961)
* debian/dkms.conf.in:
  - Use RT patch.

24. By Mario Limonciello on 2008-10-22

[ Mario Limonciello ]
* debian/rules:
  - Don't copy the libAMDXvBA.so* into multiple packages
    on AMD64 (LP: #287159)
* debian/control:
  - xorg-driver-fglrx: Drop libamdxvba1 to suggests so that fglrx can be put
    onto DVDs.
* Replace authatieventsd.sh with our own variation that works with KDM.
  (LP: #38915)

[ Matthias Klose ]
* debian/control:
  - xorg-driver-fglrx: Drop dependency on ia32-libs [amd64], add dependencies
    on lib32gcc1 [amd64], libc6-i386 [amd64].
  - libamdxvba1: Add dependency on ia32-libs [amd64].

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/fglrx-installer
This branch contains Public information 
Everyone can see this information.

Subscribers